:root {
    --main-background-color: #0d0507;
    --accent-color: #ab8405;
    --secondary-color: #1a0b0d;
    --main-text-color: #fff;
    --footer-color: #210701;
    --main-transparent-color: #0d050780;
    --secondary-transparent-color: #1a0b0d80;
    --tertiary-transparent-color: #ab840580;
    --primary-transparent-color: #210701cc;
    --accent-transparent-color: #0d0507cc;
    --main-dark-color:#0d0d0d;
    --main-dark-transparent-color: #0d0d0d80;
    --main-dark-accent-transparent-color:#0d0d0dcc;
}

html {
    scroll-behavior: smooth;
}



body {
    background-color: var(--main-background-color);
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.header {
    background-color: var(--main-transparent-color);
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    backdrop-filter: blur(50px);
    position: sticky;
    top: 0;
    z-index: 2;
}

.logo img {
    height: 100px;
    width: 100px;
}

.navbar ul{
    display: flex;
    gap: 20px;
}
.navbar ul li {
    list-style: none;
}
.navbar ul li a {
    text-decoration: none;
    color: var(--main-text-color);
    font-size: 13px;
    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
}
.navbar ul li a:hover {
    color: var(--accent-color);
    transition: color 0.3s ease;
}

.ham {
    display: none;
    color: var(--main-text-color);
}

.icons {
    color: var(--main-text-color);
    font-size: 15px;
    padding: 0 30px;
}

.icons a {
    text-decoration: none;
    color: inherit;
    transition: transform 0.3s ease;
}

.icons:hover {
    color: var(--accent-color);
    transition: color 0.3s ease;
    transform: scale(1.5);
    transition: transform 0.3s ease, color 0.3s ease;
}

.active {
    margin-right: 20px;
}

.hero {
    background: url(images/acreofland.jpeg);
    background-size: cover;
    background-position: center;
    height: 100vh;
    background-repeat: no-repeat;
    backdrop-filter: blur(50px);
    position: relative;
}

.content {
    display: flex;
    justify-content: center;
    align-items: center;
}

.hero-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    margin-left: 100px;
    z-index: 2;
}

.hero-text > p:first-child  {
    color: var(--main-text-color);
    font-size: 20px;
    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    margin-bottom: -20px;
}

.hero-text h1 {
    color: var(--main-text-color);
    font-size: 50px;
    font-family: 'Times New Roman', Times, serif;
    max-width: 400px;
}

.hero-span {
    color: var(--accent-color);
}

.design-img {
    height: 100px;
    width: 100px;
    margin-top: -60px;
    margin-bottom: -60px;
    margin-left: -6px;
}

a {
    text-decoration: none;
}

.cta {
    display: flex;
    gap: 20px;
    margin-top: 30px;
}

.btn {
    background-color: var(--secondary-color);
    color: var(--main-text-color);
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    font-size: 16px;
    font-family: monospace, 'Courier New', Courier, monospace;
    cursor: pointer;
}

.btn:hover {
    background-color: var(--accent-color);
    color: #000;
    transition: background-color 0.3s ease, color 0.3s ease;
}

.secondary-btn {
    background-color: transparent;
    border: 2px solid #ab8405;
    color: #fff;
    padding: 10px 20px;
    border-radius: 5px;
    font-size: 16px;
    font-family: monospace, 'Courier New', Courier, monospace;
    cursor: pointer;
}

.secondary-btn:hover {
    background-color: var(--accent-color);
    color: #000;
    transition: background-color 0.3s ease, color 0.3s ease;
}

.par {
    max-width: 300px;
    color: var(--main-text-color);
    font-size: 20px;
    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
}

.black {
    background: linear-gradient(to right, black,black, transparent);
    background-size: cover;     
    width: 100%;
    height: 100vh;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    background-repeat: no-repeat;
    background-position: center;
}

.hero-img {
    display: block;
    z-index: 3;
}

.wine-img {
    height: auto;
    width: 350px;
}

.feature {
    background-color: var(--secondary-transparent-color);
}

.feature-text {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 40px;
    padding: 0 50px;
}

.feature-header h6 {
    color: var(--accent-color);
    margin-bottom: -20px;
    font-family: monospace;
    font-size: 15px;
}

.feature-header h2 {
    color: var(--main-text-color);
    font-family: cormorant garamond, serif;
    font-size: 40px;
}

.feature-subheader {
    color: var(--accent-color);
    font-family: monospace;
    font-size: 15px;
    margin: 0 20px;
}

.feature-subheader {
    display: flex;
    align-items: center;
    gap: 10px;
    border-bottom: 1px solid var(--accent-color);
}

.feature-subheader a  {
    font-size: 13px;
    color: var(--accent-color);
    font-weight: bold;
}

.arrow {
    display: inline-block;
    font-size: 10px;
    transition: 0.3s ease;
}

.feature-subheader a:hover .arrow {
    transform: translateX(5px);
    cursor: pointer;
}

.feature-grid {
    display: grid;
    grid-template-columns: repeat(4, minmax(150px,1fr));
    gap: 5px;
    padding: 0 50px;
}

.feature-content {
    background-color: var(--secondary-transparent-color);
    border-radius: 10px;
    padding: 50px;
    height: 50%;
}

.collection {
    display: flex;
    gap: 20px;
    color: var(--main-text-color);
    position: relative;
}

.collection-text h5 {
     font-size: 15px;
     font-family: cormorant garamond, serif;
     max-width: 500px;
     margin: -15px 0;
}

.collection-text h6 {
    font-size: 10px;
    color: var(--accent-color);
    margin-top: 25px ;
}

.collection-text p {
    max-width: 250px;
    font-size: 8px;
}

.collection-icons {
    margin-top: 30%;
}

.price {
    font-size: 25px;
}

.cart {
    border: 1px solid var(--accent-color);
    background-color: transparent;
    padding: 5px;
    border-radius: 8px;
    color: var(--accent-color);
    justify-items: center;
    position: absolute;
    bottom: 10px;
    right: -20px;
}

.highlight {
    background-color: var(--secondary-transparent-color);
    width: 100%;
    height: auto;
}

.collection img {
    width: 80%;
    height: 150px;
    display: inline;
    margin-left: -50px;
}

.about {
    background: url(images/acreofland2.jpeg);
    background-size: cover;
    background-position: center;
    height: 300px;
    background-repeat: no-repeat;
    backdrop-filter: blur(50px);
    position: relative;
}


.about-text {
    color: var(--main-text-color);
    margin-top: 10px;
}

.about-text h6 {
    font-size: 15px;
    font-family: monospace;
    color: var(--accent-color);
    margin-bottom: -20px;
}

.about-text h2 {
    font-size: 25px;
    font-family: cormorant garamond, serif;
    color: var(--main-text-color);
    max-width: 400px;
}

.about-img {
    margin-top: -50px;
}

.about-text p {
    font-size: 15px;
    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    max-width: 400px;
    margin-top: -50px;
}

.about-text .btn {
    margin-top: -30px;
    border: 1px solid var(--accent-color);
    padding: 5px 8px;
    font-size: 10px;
}

.about-flex {
    display: flex;
    gap: 20px;
    margin-left: 50%; 
}

.grapes {
    width: 200px;
    height: 200px;
    margin-top: 10%;
    opacity: 0.3;
}

.about-black {
    background: linear-gradient(to right, transparent, var(--main-dark-color), 
    var(--main-dark-color));
    position: absolute;
    top: 0;
    left: 0;
    height: 300px;
    width: 100%;
    background-repeat: no-repeat;
    background-position: right;
    background-size: cover;
    z-index: -1;
}

.experience-text {
    color: var(--accent-color);
    font-family: monospace;
    font-size: 30px;
    text-align: center;
    margin-bottom: 20px;
}
.experience-flex {
    display: flex;
    gap: 20px;
    padding: 0 50px;
    color: var(--main-text-color);
    margin-top: 40px;
}

.experience-context {
    border-right: 1px solid var(--accent-color);
}

.experience-img {
    color: var(--accent-color);
    text-align: center;
    font-size: 40px;
    text-shadow: 5px 5px 10px var(--accent-color);
}

.experience-context {
    text-align: center;
}

.last {
    border-right: none;
}

.experience-context h6 {
    font-size: 15px;
    font-family: cormorant garamond, serif;
    margin-top: 10px;
}

.experience-context p {
    font-size: 15px;
    font-family: Arial, Helvetica, sans-serif;
    margin-top: -10px;
}

.visit-text {
    color: var(--accent-color);
    font-family: monospace;
    font-size: 30px;
    text-align: center;
    margin-bottom: 20px;
}
.visit-flex {
    display: flex;
    gap: 20px;
    padding: 0 50px;
    color: var(--main-text-color);
    margin-top: 40px;
}

.visit-content {
    background-color: var(--secondary-color);
    border-radius: 10px;
    padding: 30px;
    position: relative;
}

.visit-content p::before {
    content: '"';
    position: absolute;
    top: 40px;
    left: 20px;
    color: var(--main-text-color);
    font-size: 20px;
}

.visit-content p::after {
    content: '"';
    position: absolute;
    bottom: 113px;
    right: 60px;
    color: var(--main-text-color);
    font-size: 20px;
}

.visit-context {
    display: flex;
    gap: 10px;
    align-items: center;
    margin-top: 20px;
}

.visit-img {
    width: 50px;
    height: 50px;
    border: 1px solid var(--accent-color);
    border-radius: 50%;
    align-items: center;
}

.visit-context p {
    font-size: 10px;
    margin-top: -20px;
    font-style: italic;
}

.visit-tag h6 {
     color: var(--accent-color);
}

footer {
    background-color: var(--footer-color);
    color: var(--main-text-color);
    margin-top: 40px;
    padding: 30px;
    position: relative;
}

.footer {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 5px;
}

.footer-logo {
    border-right: 1px solid var(--tertiary-transparent-color);
}

.footer-logo img {
    width: 100px;
    height: 100px;
    display: inline;
}

.footer-name {
    display: flex;
    align-items: center;
}
.footer-name h6 {
    font-size: 15px;
    font-family: cormorant garamond, serif;
    margin-left: -20px;
    text-transform: uppercase;
    max-width: 100px;
}

.footer-logo p {
    font-size: 15px;
    font-family: garamond, serif;
    margin-top: -15px;
    max-width: 150px;
}

.footer-icons {
    display: flex;
    gap: 15px;
    align-items: center;
}
.footer-icons a {
    text-decoration: none;
    color: var(--main-text-color);
    font-size: 15px;
    transition: transform 0.3s ease;
}
.footer-icons a:hover {
    color: var(--accent-color);
    transform: scale(1.5);
    transition: transform 0.3s ease, color 0.3s ease;
}

.footer-nav {
    text-align: start;
    border-right: 1px solid var(--tertiary-transparent-color);

} 

.footer-nav ul li {
    list-style: none;
    margin-bottom: 10px;
}

.footer-nav ul li a {
    color: var(--main-text-color);
    text-decoration: none;
    transition: color 0.3s ease;
}

.footer-nav ul li a:hover {
    color: var(--accent-color);
    transition: color 0.3s ease;
}

.footer-content {
    text-align: start;
    border-right: 1px solid var(--tertiary-transparent-color);

}

.footer-content ul li {
    list-style: none;
    margin-bottom: 10px;
}

.footer-content ul li a {
    color: var(--main-text-color);
    text-decoration: none;
    transition: color 0.3s ease;
}

.footer-content ul li a:hover {
    color: var(--accent-color);
    transition: color 0.3s ease;
}

.footer-context {
    text-align: center;
    border-right: 1px solid var(--tertiary-transparent-color);
}

.footer-message {
    display: flex;
    gap: none;
    align-content: center;
    border-radius: 2px;
}

input {
    width: 100px;
    height: 30px;
    margin-left: 50px;
}

button {
    background-color: var(--accent-color);
    border: none;
    border-radius: 2px;
}

.footer-message i {
    color: var(--main-text-color);
}

.footer-address {
    text-align: center;
}

.footer-map {
    display: flex;
    gap: 5px;
    align-items: center;
}

.footer-map i {
    color: var(--accent-color);
    font-size: 20px;
}

.footer-map p {
    font-size: 10px;
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-weight: bold;
}

.footer-copyright {
    position: absolute;
    top: 90%;
    left: 0;
    right: 0;
    bottom: 0;
}

.footer-text {
    font-size: 20px;
    text-align: center;
}


@media screen and (max-width: 600px) {

body {
    box-sizing: border-box;
    }

    .header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100%;
    }

    .logo img {
        width: 50px;
        height: 50px;
    }

    .navbar ul {
        display: none;
    }

    .ham {
        display: flex;
        align-items: center;
    }

    .icons {
        display: flex;
        font-size: 10px;
        padding: 0 10px;
    } 

    .navbar ul li a {
        font-size: 8px;
        font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    }

    .content {
        display: flex;
        flex-direction: column;
        width: 50%;
    }

    .hero-text > p:first-child {
        font-size: 10px;
        margin-bottom: -15px;
        margin-top: 20px;
    }

    .hero-text h1 {
        font-size: 30px;
    }
    
    .design-img {
        height: 50px;
        width: 50px;
        margin-bottom: -25px;
        margin-top: -40px;
    }

    .par {
        font-size: 10px;
    }

    .btn {
        font-size: 10px;
        padding: 5px 10px;
        text-align: center;
    }

    .cta {
        display: flex;
        gap: 10px;
    }

    .secondary-btn {
        padding: 5px 10px;
        font-size: 10px;
        cursor: pointer;
    }

    .hero {
        position: relative;
    }

    .hero-img {
        position: absolute;
        top: 350px;
        left: 170px;
        z-index: 3;
        display: block;
    }

    .wine-img{
        height: auto;
        width: 200px;
    }

    .feature-text {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 20px;
        padding: 0 10px;
    }

    .feature-text h6 {
        font-size: 10px;
        margin-bottom: 10px;
    }

    .feature-text h2 {
        font-size: 20px;
    }

    .feature-subheader {
        font-size: 8px;
    }

    .feature-subheader a {
        font-size: 8px;
        font-weight: bold;
    }

    .feature-grid {
        display: grid;
        grid-template-columns: 1fr;
        
    }

    .about-text h6 {
        font-size: 8px;
        margin-bottom: 3px;
    }

    .about-text h2 {
        font-size: 10px;
    }

    .about-text p {
        font-size: 10px;
        margin-top: -40px;
        width: 100px;
    }

    .about-text .btn {
        margin-top: 20px;
        font-size: 5px;
        padding: 3px 5px;
    }

    .grapes {
        width: 100px;
        height: 100px;
        margin-top: 10px;
        transform: translateX(-10px);
    }

    .about-img {
         margin-top: -20px;
         margin-bottom: 20px;
         
    }

    .about-flex {
        display: flex;
        gap: 5px;
    }

    .about-text {
        margin-top: -10px;
    }

    .experience-flex {
        display: flex;
        flex-direction: column;
        gap: 10px;
        padding: 0 30px;
        margin-top: 20px;
    }

    .experience-context {
        border-right: none;
        border-bottom: 1px solid var(--accent-color);
        text-align: center;
    }

    .experience-text {
        font-size: 20px;
        margin-bottom: 10px;
    }

    .experience-img {
        font-size: 30px;
    }

    .last {
        border-bottom: none;
    }

    .experience-context p {
        font-size: 10px;
    }

    .experience-context h6 {
        font-size: 12px;
    }

    .visit-text {
        font-size: 20px;
    }

    .visit-flex {
        display: flex;
        flex-direction: column;
        padding: 0 30px;
        margin: 20px;
    }

    .footer {
        display: grid;
        grid-template-columns: 1fr;
    }

    .footer-logo {
        border-right: none;
        border-bottom: 1px solid var(--tertiary-transparent-color);
    }

    .footer-nav {
        border-right: none;
        border-bottom: 1px solid var(--tertiary-transparent-color);
    }

    .footer-nav ul li {
        margin-bottom: 5px;
    }

    .footer-nav ul li a {
        font-size: 9px;
    }

    .footer-text {
        font-size: 13px;
    }

    .footer-context {
        border-right: none;
        border-bottom: 1px solid var(--tertiary-transparent-color);
    }

    .footer-content {
        border-right: none;
        border-bottom: 1px solid var(--tertiary-transparent-color);
    }

    .footer-content ul li {
        margin-bottom: 5px;
    }

    .footer-content ul li a {
        font-size: 9px;
    }

    input {
        margin-bottom: 15px;
    }

    button {
        margin-bottom: 15px;
    }

    footer {
        position: relative;
    }

    .footer-copyright {
        position: absolute;
        top: 96%;
        left: 30%;
        font-size: 10px;
    }

    .footer-map{
        margin-top: -30px;
    }

    

}




